<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Music list with Basic DOM Append Operations </title>
</head>
<body>
<h1>Songs</h1>
<ul id="songs"></ul>
<script>
    var songs = [
        {"title":"Thank you for the music", "artist":"ABBA"},
        {"title":"California Girls", "artist":"Beach Boys"},
        {"title":"How Deep Is Your Love", "artist":"Bee Gees"},
        {"title":"Sweet Sixteen", "artist":"Chuck Berry"},
        {"title":"Roll Over Beethoven", "artist":"Electric Light Orchestra"},
        {"title":"Booze and Blues", "artist":"Ma Rainey"},
        {"title":"Beds Are Burning", "artist":"Diesel and Dust"}
    ];
    function appendSongsLiElements (songs) {
        songs.forEach(function (song) {
            var liElement = document.createElement("li");
            // TODO create and add h3 with title and p with artist info
            document.getElementById("songs").appendChild(liElement); // better at the end
        });
    }
    window.onload = function(){
        appendSongsLiElements(songs);
    };
</script>
</body>
</html>